Description

It would be nice to have an option to notify selected users when creating/updating issues.

Usually, when you are updating an issue you want to notify the person that created it, the developer that is working on it and the

Project Manager, but now the only user that receives a notificacion is the one the issue is assigned to.

This limitation is (IMHO) quite severe. I know we're not using it internally because of this issue.

For a nice looking sample of how to do this properly, take a look at the "Post a new message" page in Basecamp.

Related issues:

Is duplicate of Redmine - Feature #398: Watcher list when new issue Closed

History

#1 - 2008-03-17 21:49 - Thomas Löber

I second your request.

It relates to #398 and #515.

#2 - 2008-03-18 00:12 - Maxim Krušina

I'm still missing this feature a lot! Voting again!

PS: this feature I'm mising most after we switched from Trac...

#3 - 2008-03-21 15:29 - Jim Mulholland

I just added ticket #911 which is asking for the same functionality in the Forums.

#4 - 2008-03-24 21:53 - Thomas Löber

There could be a permission "Add watchers" so this feature can be granted to certain roles only.

#5 - 2008-03-25 10:22 - Thomas Lecavelier

Thank you for pointing out the related issues. I linked them to this issue.

#6 - 2008-03-25 22:09 - Thomas Löber

So how can the UI for this feature look like?

My idea is to do it the same way as the "Related issues" feature:

On the page issues/show/:id:

a box "Watchers" below "Related issues" contaning the current watchers with a delete icon for each one,

inside the "Watchers" box an Add link which displays a dropdown list with all project members and an Add button on the right of the list.

What do you think?

#7 - 2008-03-26 22:51 - Daniel N

Yes, that would be great. Mantis does it like that (hope I remember correctly).

#8 - 2008-03-27 09:34 - Maxim Krušina
Thomas Löber> I think this is good idea.

There should be also new user rights:

Add other users to watch issues

Edit other users watched issues

Delete other users watched issues

Also, is enough to use registered users for watch, or also create watch for non-registered users by adding them not from select by directly typing

email into add filed? Watched users can be divided into Registered and non registered (registered will be chosen from select box, non-registered by

typing email adress into text field). It's just my idea, I think that our company will be happy with watching for registered users inly, what others think?

#9 - 2008-03-27 21:33 - Thomas Löber

Limiting watchers to registered users would fit into the current watcher model which has a belongs_to :user relationship.

Do the users who will be added as watchers have to be a member of the current project?

#10 - 2008-04-02 00:23 - Maxim Krušina

IMHO, I think that limiting to registered users is ok for now.

#11 - 2008-04-15 10:59 - Chris Platts

Glad to see this feature's on the radar.  I'm another ex-Trac user who's migrated their project management to Redmine and I'm missing this feature

somewhat.

Thomas Eccard Löber/Maxim Krušina:  I agree.  Trac's implementation of this feature left something to be desired.  Simply having a CC: textfield isn't

great usability.  But being able to simply pick from a list of registered users would be great.

Cheers.

#12 - 2008-04-28 11:41 - Leszek Ciesielski

+1 to Thomas Löber's idea for the UI. Trac, Mantis, Bugzilla, Jira - all have this feature, and frankly, I was a bit surprised not to find it in Redmine. It's

not a stopper, but it is very useful. And for projects with public-accessible Redmine it has the benefit of showing the 'hot' items (the ones that

community needs most) simply by counting the number of watchers, without the need to spam the comments list (e.g. Jira allows sorting issues by

number of watchers).

#13 - 2008-04-28 12:55 - Jędrzej Sieracki

Just pinging the issue to notify all concerned parties of another member with full support for the matter :)

Maxim's new rights proposition would nicely complement the feature..

#14 - 2008-07-02 16:28 - Pascal Menut

+1 for the Thomas Löber's UI proposal.

It's a really important feature for me too.

#15 - 2008-08-06 08:21 - Sepp _

+1 from me.... this is the only really missed feature since our move from bugzilla to redmine

#16 - 2008-12-30 14:31 - Jean-Philippe Lang

- Status changed from New to Closed
